Name:		nodejs
Version: 	0.8.12	
Release:	1%{?dist}
Summary: 	JavaScript runtime
License:	MIT
URL:		http://nodejs.org/
Source0:	http://nodejs.org/dist/v%{version}/node-v%{version}.tar.gz
Patch0:         nodejs-node.gyp-unbundle.patch
BuildRequires:  v8-devel
BuildRequires:  http-parser-devel
Requires:       http-parser
Requires:       v8
Requires:       openssl
Requires:       zlib


%description
Node.js is a platform built on Chrome's JavaScript runtime 
for easily building fast, scalable network applications. 
Node.js uses an event-driven, non-blocking I/O model that 
makes it lightweight and efficient, perfect for data-intensive 
real-time applications that run across distributed devices.

%package devel
Summary: devel files for nodejs
%description devel
devel files for nodejs


%prep
%setup -q -n node-v%{version}
%patch0 -p0
# make sure, nothing get's included from bundled deps:
#rm -rf deps/npm
#rm -rf deps/zlib
#rm -rf deps/v8
#rm -rf deps/http_parser

%build
./configure --prefix=%{_prefix} \
           --shared-v8 \
           --shared-openssl \
           --shared-zlib \
           --without-npm \
           --without-waf \
           --without-dtrace
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
#make install DESTDIR=%{buildroot} INSTALL='install -p'

%make_install DESTDIR=%{buildroot} INSTALL='install -p'

# and remove dtrace file again
rm -rf %{buildroot}/%{_prefix}/lib/dtrace


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc
%{_bindir}/node
%{_mandir}/man1/node.*

%files devel
%{_includedir}/node

%changelog
* Tue Oct 23 2012 Adrian Alves <alvesadrian@fedoraproject.org>  0.8.12-1
- Fixes and Patches suggested by Matthias Runge

* Mon Apr 09 2012 Adrian Alves <alvesadrian@fedoraproject.org> 0.6.5
- First build.

